/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { DisciplineForProjectManipulationDto } from './discipline-for-project-manipulation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { OrganizationForProjectManipulationDto } from './organization-for-project-manipulation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { VisibilityForProjectManipulationDto } from './visibility-for-project-manipulation-dto';

/**
 * Data transfer object (DTO) representing the update of a project.  Inherits from the base class Coscine.Api.Core.Shared.DataTransferObjects.ParameterObjects.ProjectForManipulationDto.
 * @export
 * @interface ProjectForUpdateDto
 */
export interface ProjectForUpdateDto {
    /**
     * Gets or initializes the name of the project.
     * @type {string}
     * @memberof ProjectForUpdateDto
     */
    'name': string;
    /**
     * Gets or initializes the description of the project.
     * @type {string}
     * @memberof ProjectForUpdateDto
     */
    'description': string;
    /**
     * Gets or initializes the start date of the project.
     * @type {string}
     * @memberof ProjectForUpdateDto
     */
    'startDate'?: string;
    /**
     * Gets or initializes the end date of the project.
     * @type {string}
     * @memberof ProjectForUpdateDto
     */
    'endDate'?: string;
    /**
     * Gets or initializes the keywords associated with the project.
     * @type {Array<string>}
     * @memberof ProjectForUpdateDto
     */
    'keywords'?: Array<string> | null;
    /**
     * Gets or initializes the display name of the project.
     * @type {string}
     * @memberof ProjectForUpdateDto
     */
    'displayName'?: string | null;
    /**
     * Gets or initializes the principal investigators associated with the project.
     * @type {string}
     * @memberof ProjectForUpdateDto
     */
    'principleInvestigators'?: string | null;
    /**
     * Gets or initializes the grant ID associated with the project.
     * @type {string}
     * @memberof ProjectForUpdateDto
     */
    'grantId'?: string | null;
    /**
     * 
     * @type {VisibilityForProjectManipulationDto}
     * @memberof ProjectForUpdateDto
     */
    'visibility': VisibilityForProjectManipulationDto;
    /**
     * Gets or initializes the disciplines associated with the project.
     * @type {Array<DisciplineForProjectManipulationDto>}
     * @memberof ProjectForUpdateDto
     */
    'disciplines': Array<DisciplineForProjectManipulationDto>;
    /**
     * Gets or initializes the organizations associated with the project.
     * @type {Array<OrganizationForProjectManipulationDto>}
     * @memberof ProjectForUpdateDto
     */
    'organizations': Array<OrganizationForProjectManipulationDto>;
    /**
     * Gets or initializes the slug associated with the project for identification purposes.
     * @type {string}
     * @memberof ProjectForUpdateDto
     */
    'slug': string;
}

